### Method

# Tsparql SparqlCursor get_value_type

#### Declaration [src]

    TrackerSparqlValueType
    tracker_sparql_cursor_get_value_type (
      TrackerSparqlCursor* cursor,
      gint column
    )

#### Description [src]

Returns the data type bound to the current row and the given `column`.

If the column is unbound, the value will be `TRACKER_SPARQL_VALUE_TYPE_UNBOUND`. See also `tracker_sparql_cursor_is_bound()`.

Values of type #TRACKER_SPARQL_VALUE_TYPE_RESOURCE and

# TRACKER_SPARQL_VALUE_TYPE_BLANK_NODE can be considered equivalent, the

difference is the resource being referenced as a named IRI or a blank node.

All other `TrackerSparqlValueType` value types refer to literal values.

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve (first one is 0).

#### Return value

Type: `TrackerSparqlValueType`

A `TrackerSparqlValueType` expressing the content type of the given column for the current row.